Subject: Re: [PATCH] powerpc: MPIC: support more than 256 sources

From: Olof Johansson <[email-masked]>
Date: Thu, 25 Jan 2007 16:16:58 -0600

On Thu, Jan 25, 2007 at 04:37:31PM -0500, Jimi Xenidis wrote:
> Why is this a flag and not just passed into mpic_alloc()?

I didn't want to make it automatic because the openpic specification says
you only have to support 8-bit vectors. So if there's an implementation
out there with 256 sources and only 8-bit vectors (and we put IPI/timers
above 256), things will break instead of the uppermost sources just not
being usable/valid.

If noone is worried about that, then I'm fine with doing it automatically
instead.

-Olof